Retrieve a Transaction Event

### GET Transaction Events `/events/transaction` endpoint allows you to operate on the [Transaction Events entity.](/guides/overview/entities#transaction-event). You can retrieve any transaction event you created using the [POST Transaction Events](/api-reference/api-reference/transaction-events/create) call.

Authentication

x-api-keystring
API keys are used to authenticate the requests.

Path parameters

eventIdstringRequired
Unique Transaction Identifier

Response

OK
transactionStateenum
Model for transaction states. E.g. Processing, Refunded, Successful etc.
timestampdouble315529200000-4133890801000
Timestamp of the event
transactionIdstring>=1 character
Transaction ID the event pertains to
eventIdstring
Unique event ID
reasonstring
Reason for the event or a state change
eventDescriptionstring
Event description
updatedTransactionAttributesobject
Model for transaction additional payload
metaDataobject
Model for device data
executedRuleslist of objects
hitRuleslist of objects
statusenum
Model for rule action if a rule is hit. This is returned in the API response and can be configured on Console by operational accounts like a Compliance Analyst
riskScoreDetailsobject

Errors

400
Bad Request Error
401
Unauthorized Error
429
Too Many Requests Error